Serverövervakare
GET https://uptime4.com/api/server-monitors/
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| search | Valfritt Sträng | Söksträngen. |
| search_by | Valfritt Sträng | Vilket fält söker du efter? Tillåtna värden är: name, target. |
| is_enabled | Valfritt Boolean | |
| project_id | Valfritt Heltal | |
| datetime_field | Valfritt Sträng | Tillåtna värden: datetime, last_datetime, last_log_datetime |
| datetime_start | Valfritt Sträng | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Valfritt Sträng | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Valfritt Sträng | Vilket fält att sortera resultaten efter. Tillåtna värden är: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name. |
| order_type | Valfritt Sträng | Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning. |
| page | Valfritt Heltal | Sidanummeret som du vill ha resultat från. Standardinställning är 1. |
| results_per_page | Valfritt Heltal | Hur många resultat vill du ha per sida. Tillåtna värden är: 10, 25, 50, 100, 250, 500, 1000. Standardvärde är 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-30 14:23:59",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptime4.com/api/server-monitors?page=1",
"last": "https://uptime4.com/api/server-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/server-monitors?page=1"
}
}
GET https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-30 14:23:59",
"last_datetime": null
}
}
POST https://uptime4.com/api/server-monitors
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| name | Obligatoriskt Sträng | - |
| target | Obligatoriskt Sträng | - |
| project_id | Valfritt Heltal | - |
| notifications | Valfritt Array | Notifikationshanterar-id:n |
| server_check_interval_seconds | Valfritt Heltal | Tillåtna värden: 60, 300, 600, 900, 1800 (sekunder) |
| alert_metric[key] | Valfritt Sträng | Tillåtna värden: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Valfritt Sträng | Tillåtna värden: is_higher, is_lower |
| alert_value[key] | Valfritt Sträng | Tillåtna värden: 1-99 |
| alert_trigger[key] | Valfritt Sträng | Tillåtna värden: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Valfritt Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": "Example",
"network_download": "Example",
"network_total_upload": "Example",
"network_upload": "Example",
"os_name": null,
"os_version": null,
"kernel_name": null,
"kernel_version": null,
"kernel_release": null,
"cpu_architecture": null,
"cpu_model": null,
"cpu_cores": "Example",
"cpu_frequency": "Example",
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-30 14:23:59",
"last_datetime": null
}
}
POST https://uptime4.com/api/server-monitors/{server_monitor_id}
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| name | Obligatoriskt Sträng | - |
| target | Obligatoriskt Sträng | - |
| project_id | Valfritt Heltal | - |
| notifications | Valfritt Array | Notifikationshanterar-id:n |
| server_check_interval_seconds | Valfritt Heltal | Tillåtna värden: 60, 300, 600, 900, 1800 (sekunder) |
| alert_metric[key] | Valfritt Sträng | Tillåtna värden: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Valfritt Sträng | Tillåtna värden: is_higher, is_lower |
| alert_value[key] | Valfritt Sträng | Tillåtna värden: 1-99 |
| alert_trigger[key] | Valfritt Sträng | Tillåtna värden: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Valfritt Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-30 14:23:59",
"last_datetime": null
}
}
DELETE https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \